Bug 614670 - Please update gpsd to 2.96
Please update gpsd to 2.96
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gpsd (Show other bugs)
15
All Linux
low Severity high
: ---
: ---
Assigned To: Douglas E. Warner
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 615219 615222
  Show dependency treegraph
 
Reported: 2010-07-14 19:07 EDT by David
Modified: 2012-08-07 15:41 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-07 15:41:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David 2010-07-14 19:07:03 EDT
Description of problem:

gpsd in f13 is so old and a lot of new devices are not supported. Its now been fixed in f14 (2.94) so can f13 be updated since F13 is almost the same set of packages as F14.  gpsd writers won't help with support issues as f13 current version of 2.39 is long retired.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 David 2010-07-14 19:10:26 EDT
I forgot to add here are the 2.95 changes since 2.94 so you should build 2.95 for both F13 and F14

Release Name: 2.95

Notes: The autonomous robot submarine total world domination release! Rationalize clearing and generation of DOPs, this makes epx/epy much more generally available. Fixed the test productions for the udev magic and added a troubleshooting note in INSTALL. cgps now displays epx/epy rather than eph. Speed is now always reported if our last two fixes were good, even if the GPS didn't compute it. Reading packets from UDP datagrams by specifying a listening address and port is now supported, and the regression-test driver cam now be told to force this with -u; this enables regression testing in chroot jails where access to ptys is locked out. AIS code now interprets message type 6 and 8 application IDs correctly as a Designated Area Code and Functional ID pair. gpspipe has a new -T option for setting the timestamp format. xgpsspeed is completely rewritten in Python, eliminating some dependencies on ancient X libraries. We now ship a Qt binding for the client library. Note a GCC 4.2.1 optimizer bug. gpsdcode now uses | as a field separator in -c mode, as string fields can contain commas. Corrected error or reporting of AIS rate-of-turn fields.
Comment 2 Miroslav Lichvar 2010-07-15 04:21:50 EDT
In F14 there are still two packages (qtgpsc and viking) that are not updated to the new gpsd API.

We can't break F13 packages, so 2.95 can go only to F14, at least for now.
Comment 3 David 2010-07-15 05:02:28 EDT
Okay :)

I assume then F13 will get updated once the other packages get updated? Are they planned to update?

Thanks!
Comment 4 Miroslav Lichvar 2010-07-15 06:22:39 EDT
I think their upstream didn't release a version with support for new gpsd yet.

All dependent F13 packages will have to be updated or have the support backported from F14, then they will need to be rebuilt with new gpsd and submitted together as one big update in bodhi, so there are no broken packages.
Comment 5 Miroslav Lichvar 2010-07-15 11:51:21 EDT
gpsd-2.95-1.fc14 is now in rawhide.
Comment 6 David 2010-07-15 19:47:22 EDT
Hi Miroslav,

Thanks for fc14.

I took the srpm and built for f13.  It built without an error.  I then rpm -uvh --test and it was successful.

My gpsd on that machine is running on serial (so the /etc/sysconfig/gpsd is set to ttys0) but I assume if it builds and rpm --test is successful its working?

Have you tried it on fc13?  It looks like its just fine, maybe 2.94 had issues with fc13 as 2.95 has udev fixes and GCC as part of it?
Comment 7 Miroslav Lichvar 2010-07-16 03:48:57 EDT
It should work find on F13 or even on F12, I don't think there were any F14 specific fixes.
Comment 8 David 2010-07-16 04:23:34 EDT
Hi Miroslav,al

I filled

https://bugzilla.redhat.com/show_bug.cgi?id=615219 
https://bugzilla.redhat.com/show_bug.cgi?id=615222

For F13 updated qtgpsc and Viking to update to the gpsd-2.95.

Can someone mark these and gpsd together as an update for fc13 please?
Comment 9 Miroslav Lichvar 2010-07-16 04:35:08 EDT
There are other packages that will have to have the support backported and rebuilded with new gpsd, this will probably require a special collection created in koji to minimize the breakage.

Try this command to get the list of packages involved:
repoquery --whatrequires --alldeps gpsd

I think we should wait with F13 until we have all resolved in F14.
Comment 10 David 2010-07-16 04:54:10 EDT
Miroslav,

I will dump the repoquery here off my F13 server.

No problems holding until F14 is done. Just as long as F13 does get updated as gpsd writers won't help with such an old version it's too old snd a lot of bugs are fixed as well as added devices in the latest gpsd.

Anyway drop the dump on here tomorrow.
Comment 11 David 2010-07-18 19:27:51 EDT
Hi Miroslav,

Here is the gpsd dependent packages for F13.  Can someone tag these upstream for rebuilds for F13 so we can move towards getting 2.95 GPSD into F13 please?

# repoquery --whatrequires --alldeps gpsd
gpsd-0:2.39-7.fc13.i686
gpsd-clients-0:2.39-7.fc13.i686
gpsd-devel-0:2.39-7.fc13.i686
gpsdrive-0:2.10-0.5.pre7.fc13.i686
gpsdrive-0:2.10-0.6.pre7.fc13.i686
kdebase-workspace-0:4.4.2-5.fc13.i686
kdebase-workspace-0:4.4.5-1.fc13.i686
kdeedu-marble-libs-0:4.4.2-1.fc13.i686
kdeedu-marble-libs-0:4.4.5-1.fc13.i686
qtgpsc-0:0.2.3-6.fc12.i686
tangogps-0:0.99.3-3.fc13.i686
tangogps-0:0.99.4-2.fc13.i686
vfrnav-0:0.4-1.fc13.i686
vifir-0:0.4-1.fc12.i686
vifir-0:0.5-1.fc13.i686
vifir-0:0.6-1.fc13.i686
viking-0:0.9.9-1.fc12.i686
viking-0:0.9.91-3.fc13.i686
Comment 12 Bug Zapper 2011-06-01 09:52:23 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 13 David 2011-06-01 18:25:36 EDT
Please update F15 to gpsd-2.96 as it contains fixes as well as new GPS hardware support.
Comment 14 Fedora End Of Life 2012-08-07 15:41:42 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.